| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Member Functions | List of all members
nkWinUi::StructToString Class Reference

Offers utilities to convert from structures or enums to strings, and vice versa. More...

## Static Public Member Functions
static nkMemory::StringView | getStringFromComponentType (COMPONENT_TYPE type)
static COMPONENT_TYPE | getComponentTypeFromString (nkMemory::StringView name)
static nkMemory::StringView | getStringFromLayoutType (LAYOUT_TYPE type)
static LAYOUT_TYPE | getLayoutTypeFromString (nkMemory::StringView name)

## Detailed Description

Offers utilities to convert from structures or enums to strings, and vice versa.

## Member Function Documentation

## ◆ getStringFromComponentType()

static nkMemory::StringView nkWinUi::StructToString::getStringFromComponentType | ( | COMPONENT_TYPE | type | ) |
| static

Converts a component type to its attached string.

Parameters

  type | The type to convert.

Returns
  The type converted into a string.

## ◆ getComponentTypeFromString()

static COMPONENT_TYPE nkWinUi::StructToString::getComponentTypeFromString | ( | nkMemory::StringView | name | ) |
| static

Converts a string to its attached component type.

Parameters

  name | The string describing a type.

Returns
  The type described by the string.

## ◆ getStringFromLayoutType()

static nkMemory::StringView nkWinUi::StructToString::getStringFromLayoutType | ( | LAYOUT_TYPE | type | ) |
| static

Converts a layout type to its attached string.

Parameters

  type | The type to convert.

Returns
  The type converted into a string.

## ◆ getLayoutTypeFromString()

static LAYOUT_TYPE nkWinUi::StructToString::getLayoutTypeFromString | ( | nkMemory::StringView | name | ) |
| static

Converts a string to its attached layout type.

Parameters

  name | The string describing a type.

Returns
  The type described by the string.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsWinUi/Utils/StructToString.h